Package de.willuhn.jameica.hbci.passports.ddv.server

# Class AbstractKaanReader

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader
de.willuhn.jameica.hbci.passports.ddv.server.AbstractKaanReader

All Implemented Interfaces:
  `Reader`

Direct Known Subclasses:
  `KaanStandardPlusReader`, `KaanTriBankReader`

public abstract class AbstractKaanReader extends AbstractReader
Basis-Implementierung fuer die Default-Einstellungen von Kaan-Readern.

## Nested Class Summary

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`Reader.Type`

## Constructor Summary

Constructors
Constructor
Description
`AbstractKaanReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCTAPIDriver()`
Liefert Pfad und Dateiname des CTAPI-Treibers.
`boolean`
`isSupported()`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.
`boolean`
`useSoftPin()`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

### Methods inherited from class de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader

`equals, getCTNumber, getDefaultHBCIVersion, getPort, getType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`getName`

## Constructor Details

### AbstractKaanReader

public AbstractKaanReader()

## Method Details

### getCTAPIDriver

public String getCTAPIDriver()
Description copied from interface: `Reader`
Liefert Pfad und Dateiname des CTAPI-Treibers.

Returns:
  Pfad und Dateiname des CTAPI-Treibers.
See Also:
  - `Reader.getCTAPIDriver()`

### isSupported

public boolean isSupported()
Description copied from interface: `Reader`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.

Returns:
  `true`, wenn er unterstuetzt wird.
See Also:
  - `Reader.isSupported()`

### useSoftPin

public boolean useSoftPin()
Description copied from interface: `Reader`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

Specified by:
  `useSoftPin` in interface `Reader`
Overrides:
  `useSoftPin` in class `AbstractReader`
Returns:
  `true` wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.
See Also:
  - `Reader.useSoftPin()`